| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Public Member Functions | List of all members
wxColourDatabase Class Reference
Class List by Category » Graphics Device Interface (GDI)

`#include <wx/gdicmn.h>`

## Detailed Description

wxWidgets maintains a database of standard RGB colours for a predefined set of named colours.

The application may add to this set if desired by using AddColour() and may use it to look up colours by names using Find() or find the names for the standard colour using FindName().

There is one predefined, global instance of this class called wxTheColourDatabase.

The standard database contains at least the following colours:

AQUAMARINE
BLACK
BLUE
BLUE VIOLET
BROWN
CADET BLUE
CORAL
CORNFLOWER BLUE
CYAN
DARK GREY
DARK GREEN
DARK OLIVE GREEN
DARK ORCHID
DARK SLATE BLUE
DARK SLATE GREY
DARK TURQUOISE
DIM GREY

FIREBRICK
FOREST GREEN
GOLD
GOLDENROD
GREY
GREEN
GREEN YELLOW
INDIAN RED
KHAKI
LIGHT BLUE
LIGHT GREY
LIGHT STEEL BLUE
LIME GREEN
MAGENTA
MAROON
MEDIUM AQUAMARINE
MEDIUM BLUE

MEDIUM FOREST GREEN
MEDIUM GOLDENROD
MEDIUM ORCHID
MEDIUM SEA GREEN
MEDIUM SLATE BLUE
MEDIUM SPRING GREEN
MEDIUM TURQUOISE
MEDIUM VIOLET RED
MIDNIGHT BLUE
NAVY
ORANGE
ORANGE RED
ORCHID
PALE GREEN
PINK
PLUM
PURPLE

RED
SALMON
SEA GREEN
SIENNA
SKY BLUE
SLATE BLUE
SPRING GREEN
STEEL BLUE
TAN
THISTLE
TURQUOISE
VIOLET
VIOLET RED
WHEAT
WHITE
YELLOW
YELLOW GREEN

##

Library: wxCore
Category: Graphics Device Interface (GDI)

See also
  wxColour

## Public Member Functions

| wxColourDatabase ()
| Constructs the colour database. More...
void | AddColour (const wxString &colourName, const wxColour &colour)
| Adds a colour to the database. More...
wxColour | Find (const wxString &colourName) const
| Finds a colour given the name. More...
wxString | FindName (const wxColour &colour) const
| Finds a colour name given the colour. More...

## Constructor & Destructor Documentation

wxColourDatabase::wxColourDatabase | ( |  | ) |

Constructs the colour database.

It will be initialized at the first use.

## Member Function Documentation

void wxColourDatabase::AddColour | ( | const wxString & | colourName,
|  | const wxColour & | colour
| ) |  |

Adds a colour to the database.

If a colour with the same name already exists, it is replaced.

wxColour wxColourDatabase::Find | ( | const wxString & | colourName | ) | const

Finds a colour given the name.

Returns an invalid colour object (that is, wxColour::IsOk() will return false) if the colour wasn't found in the database.

wxString wxColourDatabase::FindName | ( | const wxColour & | colour | ) | const

Finds a colour name given the colour.

Returns an empty string if the colour is not found in the database.